Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class ProviderTestCase

    java.lang.Object
      org.picocontainer.injectors.ProviderTestCase

    public class ProviderTestCase

extends Object

Nested Class Summary
`static class` | `ProviderTestCase.Chocolate`
`static class` | `ProviderTestCase.Chocolatier`
`static class` | `ProviderTestCase.Chocolatier2`
`static class` | `ProviderTestCase.CocaoBeans`
`static class` | `ProviderTestCase.ExampleRequestReader`
`static class` | `ProviderTestCase.NeedsChocolate`
`static class` | `ProviderTestCase.NullableChocolatier`
`static class` | `ProviderTestCase.ProviderWithBadProvideMethod`
`static class` | `ProviderTestCase.ProviderWithoutProvideMethod`
`static class` | `ProviderTestCase.ProviderWithTooManyProvideMethods`
`static class` | `ProviderTestCase.StubHttpRequest`

Constructor Summary
`ProviderTestCase()`

Method Summary
`void` | `providedTypeCanBeDyanamicallyDeterminedFromInstanceRatherThanType()`
`void` | `provideMethodCanDisambiguateUsingParameterNames()`
`void` | `provideMethodCanParticipateInInjection()`
`void` | `provideMethodCanParticipateInInjectionWhenNotExtendingProviderAdapter()`
`void` | `providerBarfsIfBadProvideMethod()`
`void` | `providerBarfsIfNoProvideMethod()`
`void` | `providerBarfsIfProvideMethodsParamsCanNotBeSatisfied()`
`void` | `providerBarfsIfTooManyProvideMethod()`
`void` | `providerDoesNotBarfIfProvideMethodsParamsCanNotBeSatisfiedButNullbleAnnotationUsed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderTestCase

    public ProviderTestCase()

Method Detail

### provideMethodCanParticipateInInjection

    public void provideMethodCanParticipateInInjection()

### provideMethodCanDisambiguateUsingParameterNames

    public void provideMethodCanDisambiguateUsingParameterNames()

### providerBarfsIfProvideMethodsParamsCanNotBeSatisfied

    public void providerBarfsIfProvideMethodsParamsCanNotBeSatisfied()

### providerDoesNotBarfIfProvideMethodsParamsCanNotBeSatisfiedButNullbleAnnotationUsed

    public void providerDoesNotBarfIfProvideMethodsParamsCanNotBeSatisfiedButNullbleAnnotationUsed()

### providerBarfsIfNoProvideMethod

    public void providerBarfsIfNoProvideMethod()

### providerBarfsIfBadProvideMethod

    public void providerBarfsIfBadProvideMethod()

### providerBarfsIfTooManyProvideMethod

    public void providerBarfsIfTooManyProvideMethod()

### provideMethodCanParticipateInInjectionWhenNotExtendingProviderAdapter

    public void provideMethodCanParticipateInInjectionWhenNotExtendingProviderAdapter()

### providedTypeCanBeDyanamicallyDeterminedFromInstanceRatherThanType

    public void providedTypeCanBeDyanamicallyDeterminedFromInstanceRatherThanType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.